Bug 237476 - graphics/oyranos: Fix 'expected expression' error
Summary: graphics/oyranos: Fix 'expected expression' error
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Boris Samorodov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-04-22 20:25 UTC by Rainer Hurling
Modified: 2019-04-27 18:58 UTC (History)
1 user (show)

See Also:
bsam: maintainer-feedback+


Attachments
patch to fix build error on graphics/oyranos (779 bytes, patch)
2019-04-22 20:25 UTC, Rainer Hurling
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Hurling freebsd_committer 2019-04-22 20:25:54 UTC
Created attachment 203901 [details]
patch to fix build error on graphics/oyranos

When trying to update graphics/oyranos from 0.9.6_8 to 0.9.6_9 on FreeBSD 13.0-CURRENT amd64 with clang 8.0.0, it breaks with the following error:

[..snip..]
FAILED: src/tools/CMakeFiles/oyranos-icc.dir/oyranos_convert.c.o 
/usr/bin/cc  -I/usr/local/include -I/usr/local/include/openicc -I/usr/ports/graphics/oyranos/work/oyranos-0.9.6 -I/usr/ports/graphics/oyranos/work/oyranos-0.9.6/src -I/usr/ports/graphics/oyranos/work/oyranos-0.9.6/src/include -Isrc/include -I/usr/ports/graphics/oyranos/work/oyranos-0.9.6/src/include_private -Isrc/include_private -I/usr/ports/graphics/oyranos/work/oyranos-0.9.6/src/liboyranos_core -I/usr/ports/graphics/oyranos/work/oyranos-0.9.6/src/liboyranos_object -I/usr/ports/graphics/oyranos/work/oyranos-0.9.6/src/liboyranos_modules -I/usr/ports/graphics/oyranos/work/oyranos-0.9.6/src/liboyranos_config -I/usr/ports/graphics/oyranos/work/oyranos-0.9.6/src/liboyranos -I/usr/ports/graphics/oyranos/work/oyranos-0.9.6/src/API_generated -I/usr/local/include/cairo -I/usr/local/include/libxml2 -I/usr/local/include/libpng16 -O2 -pipe  -DLIBICONV_PLUG -fstack-protector -fno-strict-aliasing -fPIC -fopenmp=libomp -O2 -pipe  -DLIBICONV_PLUG -fstack-protector -fno-strict-aliasing -MD -MT src/tools/CMakeFiles/oyranos-icc.dir/oyranos_convert.c.o -MF src/tools/CMakeFiles/oyranos-icc.dir/oyranos_convert.c.o.d -o src/tools/CMakeFiles/oyranos-icc.dir/oyranos_convert.c.o   -c /usr/ports/graphics/oyranos/work/oyranos-0.9.6/src/tools/oyranos_convert.c
/usr/ports/graphics/oyranos/work/oyranos-0.9.6/src/tools/oyranos_convert.c:649:43: error: expected expression
#pragma omp parallel for private(in,a,b,j,)
                                          ^
1 error generated.
ninja: build stopped: subcommand failed.
*** Error code 1
Stop.
make[1]: stopped in /usr/ports/graphics/oyranos



The attached patch, as already corrected upstream on GitHub repositoy oyranos-cms/oyranos[1] on Sep 18, 2017, seems to solve the breakage.

The patch is tested on Poudriere (HEADi/a).


[1] https://github.com/oyranos-cms/oyranos/commit/58df834186445e1fc545cac0a368de69d8552a6d#diff-701a1fd1cba2109665e8a7d6ee5e795d
Comment 1 commit-hook freebsd_committer 2019-04-25 19:42:13 UTC
A commit references this bug:

Author: bsam
Date: Thu Apr 25 19:42:01 UTC 2019
New revision: 500069
URL: https://svnweb.freebsd.org/changeset/ports/500069

Log:
  graphics/oyranos: Fix build at HEAD.

  PR:		237476
  Submitted by:	Rainer Hurling <rhurlin@gwdg.de>

Changes:
  head/graphics/oyranos/files/patch-src_tools_oyranos__convert.c
Comment 2 Boris Samorodov freebsd_committer 2019-04-25 19:43:56 UTC
Committed, thanks!
Comment 3 commit-hook freebsd_committer 2019-04-27 18:58:40 UTC
A commit references this bug:

Author: antoine
Date: Sat Apr 27 18:58:01 UTC 2019
New revision: 500262
URL: https://svnweb.freebsd.org/changeset/ports/500262

Log:
  MFH: r500069

  graphics/oyranos: Fix build at HEAD.

  PR:		237476
  Submitted by:	Rainer Hurling <rhurlin@gwdg.de>

Changes:
_U  branches/2019Q2/
  branches/2019Q2/graphics/oyranos/files/patch-src_tools_oyranos__convert.c